#### D.15.8.6 grzero

Procedure from library `gradedModules.lib` (see gradedModules_lib).

Usage:
  grzero()

Return:
  graded object representing S(0)^1

Purpose:
  compute presentation of S(0)^1

Example:

    LIB "gradedModules.lib";
    ring r=32003,(x,y,z),dp;
    grview( grobj(freemodule(0), intvec(0:0), intvec(0:0)) );
    ==> Graded homomorphism: 0 <- 0, given by zero (0^2) matrix.
    grview( grobj(freemodule(0), intvec(0:0)) );
    ==> Graded homomorphism: 0 <- 0, given by zero (0^2) matrix.
    grview( grzero() );
    ==> Graded homomorphism: 0 <- 0, given by zero (0^2) matrix.
    //  def M = grpower( grshift( grzero(), 3), 2 ); grview(M);

User manual for Singular version 4.4.1, 2025, generated by texi2html.